{
  "x-generator": "On Key REST API Docs Generator",
  "swagger": "2.0",
  "info": {
    "title": "On Key RISK  API Specification",
    "description": "Better and smarter enterprise asset management with one of the world's leading Enterprise Asset Management (EAM) systems.",
    "termsOfService": "https://www.onkey.com/",
    "contact": {
      "name": "On Key Support",
      "url": "https://www.onkey.com/",
      "email": "onkey.support@pragmaworld.net"
    },
    "license": {
      "name": "On Key Licence",
      "url": "https://www.onkey.com/"
    },
    "version": "1.0.0"
  },
  "host": "<variable>:443",
  "basePath": "/api/tenants/{client}/{connection}",
  "schemes": [
    "https"
  ],
  "consumes": [
    "application/vnd.onkey.entity+json",
    "application/vnd.onkey.entitypatch+json",
    "application/vnd.onkey.entitydelete+json",
    "application/vnd.onkey.entitycollection+json",
    "application/vnd.onkey.entitypatchcollection+json",
    "application/vnd.onkey.entitydeletecollection+json",
    "application/vnd.onkey.entitymatchupdatecollection+json"
  ],
  "produces": [
    "application/vnd.onkey.entity+json",
    "application/vnd.onkey.notification+json",
    "application/vnd.onkey.entitycollectionpage+json",
    "application/vnd.onkey.entitycollection+json"
  ],
  "paths": {
    "/Modules/RISK/AssetImportances/{id}": {
      "get": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Get a Asset Importance resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | AssetImportance->Code | string |  |\r\n| createdByUserId | AssetImportance->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | AssetImportance->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | AssetImportance->CreatedByUser_FullName | string |  |\r\n| createdOn | AssetImportance->CreatedOn | string | date-time |\r\n| isActive | AssetImportance->IsActive | boolean |  |\r\n| modifiedByUserId | AssetImportance->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | AssetImportance->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | AssetImportance->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | AssetImportance->ModifiedOn | string | date-time |\r\n| permissionTreeId | AssetImportance->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | AssetImportance->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | AssetImportance->PermissionTree_Description | string |  |\r\n| version | AssetImportance->Version | integer | int32 |\r\n| id | AssetImportance->Id | integer | int64 |\r\n| description | AssetImportance->Description | string |  |\r\n| notes | AssetImportance->Notes | string |  |\r\n| weight | AssetImportance->Weight | integer | int32 |\r\n| sequenceNumber | AssetImportance->SequenceNumber | integer | int32 |\r\n",
        "operationId": "GetAssetImportance",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Importance Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Asset Importance",
            "schema": {
              "$ref": "#/definitions/GetAssetImportanceResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "patch": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Update an existing Asset Importance resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | AssetImportance->Version | integer | int32 |\r\n| code | AssetImportance->Code | string |  |\r\n| description | AssetImportance->Description | string |  |\r\n| sequenceNumber | AssetImportance->SequenceNumber | integer | int32 |\r\n| notes | AssetImportance->Notes | string |  |\r\n| weight | AssetImportance->Weight | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n| weight | Nullable | False |  |\r\n| weight | Min Value | >= 0|  |\r\n\r\n",
        "operationId": "UpdateAssetImportance",
        "consumes": [
          "application/vnd.onkey.entitypatch+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Importance Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "patch",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/UpdateAssetImportanceResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Asset Importance was successfully updated"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "delete": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Delete an existing Asset Importance resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | AssetImportance->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteAssetImportance",
        "consumes": [
          "application/vnd.onkey.entitydelete+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Importance Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "delete",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/DeleteAssetImportanceResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Asset Importance was successfully deleted"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/RISK/AssetImportances": {
      "get": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Get a collection of Asset Importance resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | AssetImportance->Version | integer | int32 |\r\n| id | AssetImportance->Id | integer | int64 |\r\n| code | AssetImportance->Code | string |  |\r\n| description | AssetImportance->Description | string |  |\r\n| sequenceNumber | AssetImportance->SequenceNumber | integer | int32 |\r\n| weight | AssetImportance->Weight | integer | int32 |\r\n",
        "operationId": "GetAssetImportanceCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Asset Importance collection",
            "schema": {
              "$ref": "#/definitions/GetAssetImportanceCollectionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "post": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Create a new Asset Importance resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| permissionTreeId | AssetImportance->PermissionTree_Id | integer | int64 |\r\n| code | AssetImportance->Code | string |  |\r\n| description | AssetImportance->Description | string |  |\r\n| sequenceNumber | AssetImportance->SequenceNumber | integer | int32 |\r\n| weight | AssetImportance->Weight | integer | int32 |\r\n| notes | AssetImportance->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n| code | Required | True |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n| weight | Required | True |  |\r\n| weight | Nullable | False |  |\r\n| weight | Min Value | >= 0|  |\r\n\r\n",
        "operationId": "CreateAssetImportance",
        "consumes": [
          "application/vnd.onkey.entity+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "post",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/CreateAssetImportanceResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "201": {
            "x-nullable": true,
            "description": "Success response - resource was successfully created",
            "headers": {
              "OnKey-Resource-Id": {
                "type": "integer",
                "description": "Id of the resource created",
                "format": "Int64"
              },
              "OnKey-Resource-Location": {
                "type": "string",
                "description": "Uri to fetch the created resource"
              }
            }
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/RISK/AssetImportances/Lookups/LookupAssetImportanceChangePermissionTree": {
      "get": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Lookup the permission set for changing the Asset Importance.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupAssetImportanceChangePermissionTree",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable  collection",
            "schema": {
              "$ref": "#/definitions/AssetImportanceChangePermissionTreeLookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/RISK/AssetImportances/Lookups/LookupAssetImportanceInsertPermissionTree": {
      "get": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Lookup the permission set for creating the Asset Importance.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupAssetImportanceInsertPermissionTree",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable  collection",
            "schema": {
              "$ref": "#/definitions/AssetImportanceInsertPermissionTreeLookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/RISK/AssetImportances/Batch/{ids}": {
      "get": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Get a collection of Asset Importance resources for the set of id's.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | AssetImportance->Code | string |  |\r\n| createdByUserId | AssetImportance->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | AssetImportance->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | AssetImportance->CreatedByUser_FullName | string |  |\r\n| createdOn | AssetImportance->CreatedOn | string | date-time |\r\n| isActive | AssetImportance->IsActive | boolean |  |\r\n| modifiedByUserId | AssetImportance->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | AssetImportance->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | AssetImportance->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | AssetImportance->ModifiedOn | string | date-time |\r\n| permissionTreeId | AssetImportance->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | AssetImportance->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | AssetImportance->PermissionTree_Description | string |  |\r\n| version | AssetImportance->Version | integer | int32 |\r\n| id | AssetImportance->Id | integer | int64 |\r\n| description | AssetImportance->Description | string |  |\r\n| notes | AssetImportance->Notes | string |  |\r\n| weight | AssetImportance->Weight | integer | int32 |\r\n| sequenceNumber | AssetImportance->SequenceNumber | integer | int32 |\r\n",
        "operationId": "BatchGetAssetImportance",
        "produces": [
          "application/vnd.onkey.entitycollection+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "array",
            "name": "ids",
            "in": "path",
            "required": true,
            "description": "A comma separated list of Asset Importance id's (eg. 1585760985950002,1585760985950003)",
            "collectionFormat": "csv",
            "x-nullable": false,
            "items": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Asset Importance collection",
            "schema": {
              "$ref": "#/definitions/BatchGetAssetImportanceResourceAction"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/RISK/AssetImportances/Batch": {
      "post": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Create a new collection of Asset Importance resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| permissionTreeId | AssetImportance->PermissionTree_Id | integer | int64 |\r\n| code | AssetImportance->Code | string |  |\r\n| description | AssetImportance->Description | string |  |\r\n| sequenceNumber | AssetImportance->SequenceNumber | integer | int32 |\r\n| weight | AssetImportance->Weight | integer | int32 |\r\n| notes | AssetImportance->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n| code | Required | True |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n| weight | Required | True |  |\r\n| weight | Nullable | False |  |\r\n| weight | Min Value | >= 0|  |\r\n\r\n",
        "operationId": "BatchCreateAssetImportance",
        "consumes": [
          "application/vnd.onkey.entitycollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "posts",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchCreateAssetImportanceResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "201": {
            "x-nullable": true,
            "description": "Success response - Asset Importance batch was successfully created"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "patch": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Update a collection of existing Asset Importance resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AssetImportance->Id | integer | int64 |\r\n| version | AssetImportance->Version | integer | int32 |\r\n| code | AssetImportance->Code | string |  |\r\n| description | AssetImportance->Description | string |  |\r\n| sequenceNumber | AssetImportance->SequenceNumber | integer | int32 |\r\n| notes | AssetImportance->Notes | string |  |\r\n| weight | AssetImportance->Weight | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n| weight | Nullable | False |  |\r\n| weight | Min Value | >= 0|  |\r\n\r\n",
        "operationId": "BatchUpdateAssetImportance",
        "consumes": [
          "application/vnd.onkey.entitypatchcollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "patches",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchUpdateAssetImportanceResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Asset Importance batch was successfully updated"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "delete": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Delete a collection of existing Asset Importance resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AssetImportance->Id | integer | int64 |\r\n| version | AssetImportance->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchDeleteAssetImportance",
        "consumes": [
          "application/vnd.onkey.entitydeletecollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "deletes",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchDeleteAssetImportanceResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Asset Importance batch was successfully deleted"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/RISK/AssetImportances/{id}/Active": {
      "patch": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Change the IsActive status for an existing Asset Importance resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | AssetImportance->Version | integer | int32 |\r\n| isActive | AssetImportance->IsActive | boolean |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isActive | Required | True |  |\r\n| isActive | Nullable | False |  |\r\n\r\n",
        "operationId": "ChangeAssetImportanceIsActive",
        "consumes": [
          "application/vnd.onkey.entitypatch+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Importance Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "patch",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/ChangeAssetImportanceIsActiveResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/RISK/AssetImportances/{id}/PermissionTree": {
      "patch": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Change the PermissionTree for an existing Asset Importance resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | AssetImportance->Version | integer | int32 |\r\n| permissionTreeId | AssetImportance->PermissionTree_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "ChangeAssetImportancePermissionTree",
        "consumes": [
          "application/vnd.onkey.entitypatch+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Importance Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "patch",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/ChangeAssetImportancePermissionTreeResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/RISK/AssetImportances/Batch/Active": {
      "patch": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Change the IsActive status for a collection of existing Asset Importance resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AssetImportance->Id | integer | int64 |\r\n| version | AssetImportance->Version | integer | int32 |\r\n| isActive | AssetImportance->IsActive | boolean |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isActive | Required | True |  |\r\n| isActive | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchChangeAssetImportanceIsActive",
        "consumes": [
          "application/vnd.onkey.entitypatchcollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "patches",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchChangeAssetImportanceIsActiveResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/RISK/AssetImportances/Batch/PermissionTree": {
      "patch": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Change the PermissionTree status for a collection of existing Asset Importance resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AssetImportance->Id | integer | int64 |\r\n| version | AssetImportance->Version | integer | int32 |\r\n| permissionTreeId | AssetImportance->PermissionTree_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchChangeAssetImportancePermissionTree",
        "consumes": [
          "application/vnd.onkey.entitypatchcollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "patches",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchChangeAssetImportancePermissionTreeResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/RISK/AssetImportances/MatchBatch": {
      "patch": {
        "tags": [
          "Asset Importance"
        ],
        "summary": "Update a collection of existing Asset Importance resources to have the same value(s).",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AssetImportance->Id | integer | int64 |\r\n| version | AssetImportance->Version | integer | int32 |\r\n| description | AssetImportance->Description | string |  |\r\n| notes | AssetImportance->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n\r\n",
        "operationId": "MatchUpdateAssetImportance",
        "consumes": [
          "application/vnd.onkey.entitymatchupdatecollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "matchUpdate",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/MatchUpdateAssetImportanceResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Asset Importance batch was successfully updated"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequences/{id}": {
      "get": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Get a Risk Consequence resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | RiskConsequence->Code | string |  |\r\n| isActive | RiskConsequence->IsActive | boolean |  |\r\n| createdByUserId | RiskConsequence->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | RiskConsequence->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | RiskConsequence->CreatedByUser_FullName | string |  |\r\n| createdOn | RiskConsequence->CreatedOn | string | date-time |\r\n| modifiedByUserId | RiskConsequence->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | RiskConsequence->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | RiskConsequence->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | RiskConsequence->ModifiedOn | string | date-time |\r\n| version | RiskConsequence->Version | integer | int32 |\r\n| permissionTreeId | RiskConsequence->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | RiskConsequence->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | RiskConsequence->PermissionTree_Description | string |  |\r\n| id | RiskConsequence->Id | integer | int64 |\r\n| description | RiskConsequence->Description | string |  |\r\n| notes | RiskConsequence->Notes | string |  |\r\n| riskConsequenceCategoryId | RiskConsequence->RiskConsequenceCategory_Id | integer | int64 |\r\n| riskConsequenceCategoryCode | RiskConsequence->RiskConsequenceCategory_Code | string |  |\r\n| riskConsequenceCategoryDescription | RiskConsequence->RiskConsequenceCategory_Description | string |  |\r\n| sequenceNumber | RiskConsequence->SequenceNumber | integer | int32 |\r\n| value | RiskConsequence->Value | number | decimal |\r\n",
        "operationId": "GetRiskConsequence",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Risk Consequence Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Risk Consequence",
            "schema": {
              "$ref": "#/definitions/GetRiskConsequenceResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "patch": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Update an existing Risk Consequence resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | RiskConsequence->Version | integer | int32 |\r\n| code | RiskConsequence->Code | string |  |\r\n| description | RiskConsequence->Description | string |  |\r\n| notes | RiskConsequence->Notes | string |  |\r\n| riskConsequenceCategoryId | RiskConsequence->RiskConsequenceCategory_Id | integer | int64 |\r\n| sequenceNumber | RiskConsequence->SequenceNumber | integer | int32 |\r\n| value | RiskConsequence->Value | number | decimal |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n| riskConsequenceCategoryId | Nullable | False |  |\r\n| value | Nullable | False |  |\r\n| value | Min Value | >= 0|  |\r\n\r\n",
        "operationId": "UpdateRiskConsequence",
        "consumes": [
          "application/vnd.onkey.entitypatch+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Risk Consequence Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "patch",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/UpdateRiskConsequenceResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Risk Consequence was successfully updated"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "delete": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Delete an existing Risk Consequence resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | RiskConsequence->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteRiskConsequence",
        "consumes": [
          "application/vnd.onkey.entitydelete+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Risk Consequence Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "delete",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/DeleteRiskConsequenceResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Risk Consequence was successfully deleted"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequences": {
      "get": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Get a collection of Risk Consequence resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | RiskConsequence->Id | integer | int64 |\r\n| version | RiskConsequence->Version | integer | int32 |\r\n| code | RiskConsequence->Code | string |  |\r\n| description | RiskConsequence->Description | string |  |\r\n| riskConsequenceCategoryId | RiskConsequence->RiskConsequenceCategory_Id | integer | int64 |\r\n| riskConsequenceCategoryCode | RiskConsequence->RiskConsequenceCategory_Code | string |  |\r\n| riskConsequenceCategoryDescription | RiskConsequence->RiskConsequenceCategory_Description | string |  |\r\n| sequenceNumber | RiskConsequence->SequenceNumber | integer | int32 |\r\n| isActive | RiskConsequence->IsActive | boolean |  |\r\n| value | RiskConsequence->Value | number | decimal |\r\n",
        "operationId": "GetRiskConsequenceCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Risk Consequence collection",
            "schema": {
              "$ref": "#/definitions/GetRiskConsequenceCollectionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "post": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Create a new Risk Consequence resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | RiskConsequence->Code | string |  |\r\n| description | RiskConsequence->Description | string |  |\r\n| notes | RiskConsequence->Notes | string |  |\r\n| permissionTreeId | RiskConsequence->PermissionTree_Id | integer | int64 |\r\n| riskConsequenceCategoryId | RiskConsequence->RiskConsequenceCategory_Id | integer | int64 |\r\n| sequenceNumber | RiskConsequence->SequenceNumber | integer | int32 |\r\n| value | RiskConsequence->Value | number | decimal |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| code | Required | True |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n| riskConsequenceCategoryId | Required | True |  |\r\n| riskConsequenceCategoryId | Nullable | False |  |\r\n| value | Required | True |  |\r\n| value | Nullable | False |  |\r\n| value | Min Value | >= 0|  |\r\n\r\n",
        "operationId": "CreateRiskConsequence",
        "consumes": [
          "application/vnd.onkey.entity+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "post",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/CreateRiskConsequenceResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "201": {
            "x-nullable": true,
            "description": "Success response - resource was successfully created",
            "headers": {
              "OnKey-Resource-Id": {
                "type": "integer",
                "description": "Id of the resource created",
                "format": "Int64"
              },
              "OnKey-Resource-Location": {
                "type": "string",
                "description": "Uri to fetch the created resource"
              }
            }
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequences/Lookups/LookupRiskConsequenceChangePermissionTree": {
      "get": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Lookup the permission set for changing the Risk Consequence.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupRiskConsequenceChangePermissionTree",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable  collection",
            "schema": {
              "$ref": "#/definitions/RiskConsequenceChangePermissionTreeLookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequences/Lookups/LookupRiskConsequenceInsertPermissionTree": {
      "get": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Lookup the permission set for creating the Risk Consequence.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupRiskConsequenceInsertPermissionTree",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable  collection",
            "schema": {
              "$ref": "#/definitions/RiskConsequenceInsertPermissionTreeLookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequences/Lookups/LookupRiskConsequenceRiskConsequenceCategory": {
      "get": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Lookup the Risk Consequence Category for the Risk Consequence.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | RiskConsequenceCategory->Id | integer | int64 |\r\n| code | RiskConsequenceCategory->Code | string |  |\r\n| description | RiskConsequenceCategory->Description | string |  |\r\n",
        "operationId": "LookupRiskConsequenceRiskConsequenceCategory",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Risk Consequence Category collection",
            "schema": {
              "$ref": "#/definitions/RiskConsequenceRiskConsequenceCategoryLookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequences/Batch/{ids}": {
      "get": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Get a collection of Risk Consequence resources for the set of id's.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | RiskConsequence->Code | string |  |\r\n| isActive | RiskConsequence->IsActive | boolean |  |\r\n| createdByUserId | RiskConsequence->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | RiskConsequence->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | RiskConsequence->CreatedByUser_FullName | string |  |\r\n| createdOn | RiskConsequence->CreatedOn | string | date-time |\r\n| modifiedByUserId | RiskConsequence->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | RiskConsequence->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | RiskConsequence->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | RiskConsequence->ModifiedOn | string | date-time |\r\n| version | RiskConsequence->Version | integer | int32 |\r\n| permissionTreeId | RiskConsequence->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | RiskConsequence->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | RiskConsequence->PermissionTree_Description | string |  |\r\n| id | RiskConsequence->Id | integer | int64 |\r\n| description | RiskConsequence->Description | string |  |\r\n| notes | RiskConsequence->Notes | string |  |\r\n| riskConsequenceCategoryId | RiskConsequence->RiskConsequenceCategory_Id | integer | int64 |\r\n| riskConsequenceCategoryCode | RiskConsequence->RiskConsequenceCategory_Code | string |  |\r\n| riskConsequenceCategoryDescription | RiskConsequence->RiskConsequenceCategory_Description | string |  |\r\n| sequenceNumber | RiskConsequence->SequenceNumber | integer | int32 |\r\n| value | RiskConsequence->Value | number | decimal |\r\n",
        "operationId": "BatchGetRiskConsequence",
        "produces": [
          "application/vnd.onkey.entitycollection+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "array",
            "name": "ids",
            "in": "path",
            "required": true,
            "description": "A comma separated list of Risk Consequence id's (eg. 1585760985950002,1585760985950003)",
            "collectionFormat": "csv",
            "x-nullable": false,
            "items": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Risk Consequence collection",
            "schema": {
              "$ref": "#/definitions/BatchGetRiskConsequenceResourceAction"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequences/Batch": {
      "post": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Create a new collection of Risk Consequence resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | RiskConsequence->Code | string |  |\r\n| description | RiskConsequence->Description | string |  |\r\n| notes | RiskConsequence->Notes | string |  |\r\n| permissionTreeId | RiskConsequence->PermissionTree_Id | integer | int64 |\r\n| riskConsequenceCategoryId | RiskConsequence->RiskConsequenceCategory_Id | integer | int64 |\r\n| sequenceNumber | RiskConsequence->SequenceNumber | integer | int32 |\r\n| value | RiskConsequence->Value | number | decimal |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| code | Required | True |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n| riskConsequenceCategoryId | Required | True |  |\r\n| riskConsequenceCategoryId | Nullable | False |  |\r\n| value | Required | True |  |\r\n| value | Nullable | False |  |\r\n| value | Min Value | >= 0|  |\r\n\r\n",
        "operationId": "BatchCreateRiskConsequence",
        "consumes": [
          "application/vnd.onkey.entitycollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "posts",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchCreateRiskConsequenceResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "201": {
            "x-nullable": true,
            "description": "Success response - Risk Consequence batch was successfully created"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "patch": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Update a collection of existing Risk Consequence resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | RiskConsequence->Id | integer | int64 |\r\n| version | RiskConsequence->Version | integer | int32 |\r\n| code | RiskConsequence->Code | string |  |\r\n| description | RiskConsequence->Description | string |  |\r\n| notes | RiskConsequence->Notes | string |  |\r\n| riskConsequenceCategoryId | RiskConsequence->RiskConsequenceCategory_Id | integer | int64 |\r\n| sequenceNumber | RiskConsequence->SequenceNumber | integer | int32 |\r\n| value | RiskConsequence->Value | number | decimal |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n| riskConsequenceCategoryId | Nullable | False |  |\r\n| value | Nullable | False |  |\r\n| value | Min Value | >= 0|  |\r\n\r\n",
        "operationId": "BatchUpdateRiskConsequence",
        "consumes": [
          "application/vnd.onkey.entitypatchcollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "patches",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchUpdateRiskConsequenceResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Risk Consequence batch was successfully updated"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "delete": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Delete a collection of existing Risk Consequence resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | RiskConsequence->Id | integer | int64 |\r\n| version | RiskConsequence->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchDeleteRiskConsequence",
        "consumes": [
          "application/vnd.onkey.entitydeletecollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "deletes",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchDeleteRiskConsequenceResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Risk Consequence batch was successfully deleted"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequences/{id}/Active": {
      "patch": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Change the IsActive status for an existing Risk Consequence resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | RiskConsequence->Version | integer | int32 |\r\n| isActive | RiskConsequence->IsActive | boolean |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isActive | Required | True |  |\r\n| isActive | Nullable | False |  |\r\n\r\n",
        "operationId": "ChangeRiskConsequenceIsActive",
        "consumes": [
          "application/vnd.onkey.entitypatch+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Risk Consequence Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "patch",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/ChangeRiskConsequenceIsActiveResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequences/{id}/PermissionTree": {
      "patch": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Change the PermissionTree for an existing Risk Consequence resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | RiskConsequence->Version | integer | int32 |\r\n| permissionTreeId | RiskConsequence->PermissionTree_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "ChangeRiskConsequencePermissionTree",
        "consumes": [
          "application/vnd.onkey.entitypatch+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Risk Consequence Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "patch",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/ChangeRiskConsequencePermissionTreeResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequences/Batch/Active": {
      "patch": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Change the IsActive status for a collection of existing Risk Consequence resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | RiskConsequence->Id | integer | int64 |\r\n| version | RiskConsequence->Version | integer | int32 |\r\n| isActive | RiskConsequence->IsActive | boolean |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isActive | Required | True |  |\r\n| isActive | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchChangeRiskConsequenceIsActive",
        "consumes": [
          "application/vnd.onkey.entitypatchcollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "patches",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchChangeRiskConsequenceIsActiveResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequences/Batch/PermissionTree": {
      "patch": {
        "tags": [
          "Risk Consequence"
        ],
        "summary": "Change the PermissionTree status for a collection of existing Risk Consequence resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | RiskConsequence->Id | integer | int64 |\r\n| version | RiskConsequence->Version | integer | int32 |\r\n| permissionTreeId | RiskConsequence->PermissionTree_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchChangeRiskConsequencePermissionTree",
        "consumes": [
          "application/vnd.onkey.entitypatchcollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "patches",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchChangeRiskConsequencePermissionTreeResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequenceCategories/{id}": {
      "get": {
        "tags": [
          "Risk Consequence Category"
        ],
        "summary": "Get a Risk Consequence Category resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | RiskConsequenceCategory->Code | string |  |\r\n| createdByUserId | RiskConsequenceCategory->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | RiskConsequenceCategory->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | RiskConsequenceCategory->CreatedByUser_FullName | string |  |\r\n| createdOn | RiskConsequenceCategory->CreatedOn | string | date-time |\r\n| isActive | RiskConsequenceCategory->IsActive | boolean |  |\r\n| modifiedByUserId | RiskConsequenceCategory->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | RiskConsequenceCategory->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | RiskConsequenceCategory->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | RiskConsequenceCategory->ModifiedOn | string | date-time |\r\n| permissionTreeId | RiskConsequenceCategory->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | RiskConsequenceCategory->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | RiskConsequenceCategory->PermissionTree_Description | string |  |\r\n| version | RiskConsequenceCategory->Version | integer | int32 |\r\n| id | RiskConsequenceCategory->Id | integer | int64 |\r\n| description | RiskConsequenceCategory->Description | string |  |\r\n| notes | RiskConsequenceCategory->Notes | string |  |\r\n| sequenceNumber | RiskConsequenceCategory->SequenceNumber | integer | int32 |\r\n",
        "operationId": "GetRiskConsequenceCategory",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Risk Consequence Category Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Risk Consequence Category",
            "schema": {
              "$ref": "#/definitions/GetRiskConsequenceCategoryResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "patch": {
        "tags": [
          "Risk Consequence Category"
        ],
        "summary": "Update an existing Risk Consequence Category resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | RiskConsequenceCategory->Version | integer | int32 |\r\n| code | RiskConsequenceCategory->Code | string |  |\r\n| description | RiskConsequenceCategory->Description | string |  |\r\n| notes | RiskConsequenceCategory->Notes | string |  |\r\n| sequenceNumber | RiskConsequenceCategory->SequenceNumber | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n\r\n",
        "operationId": "UpdateRiskConsequenceCategory",
        "consumes": [
          "application/vnd.onkey.entitypatch+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Risk Consequence Category Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "patch",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/UpdateRiskConsequenceCategoryResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Risk Consequence Category was successfully updated"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "delete": {
        "tags": [
          "Risk Consequence Category"
        ],
        "summary": "Delete an existing Risk Consequence Category resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | RiskConsequenceCategory->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteRiskConsequenceCategory",
        "consumes": [
          "application/vnd.onkey.entitydelete+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Risk Consequence Category Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "delete",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/DeleteRiskConsequenceCategoryResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Risk Consequence Category was successfully deleted"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/RISK/RiskConsequenceCategories": {
      "get": {
        "tags": [
          "Risk Consequence Category"
        ],
        "summary": "Get a collection of Risk Consequence Category resources.",
[...]
